#include "mbed.h"
#include "C12832.h"
#pragma once

namespace ProjectOne{
    
    class LCD{
        public:
            /*
            * Constructor for LCD class.
            *
            @param The pins used to controll the LCD on the application board.
            @return Nothing.
            */
            LCD(PinName mosi=p5, PinName sck=p7, PinName reset=p6, PinName a0=p8, PinName ncs=p11);
            
            /*
            * Method that displays chars on the LCD.
            *
            @param Char array containing the characters to display.
            @return Nothing.
            */
            void displayChars(char characters_to_display[]);
            
             /*
            * Method that clears everything on the LCD.
            *
            @param Nothing.
            @return Nothing.
            */
            void clearLcd(void);
        
        private:
            C12832 lcd;
    };

};