#pragma once
#include "LM75B.h"
#include "mbed.h"

namespace ProjectOne{
    
    class Temperature{
        public:
            /*
            * Constructor for Temperature class.
            *
            @param The pins connected to the LM75B temperature sensor on the application board.
            @return Nothing.
            */
            Temperature(PinName firstPin=p28, PinName secondPin=p27);
            
            /*
            * Method that reads the temperature value.
            *
            @param Nothing.
            @return A float containing the temperature.
            */
            float readTemperature(void);
        private:
            LM75B sensor;
    };
};

